BrowseForFolder

Uns tempos atrás muitos estavam atrás duma função parecida com o GETFILED, mas que em vez de procurar um arquivo, procurasse uma pasta... eu inclusive... e garimpando na internet encontrei esta rotina:
(defun BrowseForFolder ( text / ret shell)
;acessa o shell do windows:
  (setq shell (vlax-get-or-create-object "shell.application"))
;invoca o metodo "BrowseForFolder" e se o cara escolher algo
  (if (setq ret (vlax-invoke shell "BrowseForFolder" 
                   0 text 1))
;recupera o caminho da pasta escolhida:
      (setq ret (vlax-get (vlax-get ret "Self") "Path")))
;libera a memoria do cad:
  (vlax-release-object shell)
;devolve o caminho ate a pasta selecionada
  ret)

para usar:
(BrowseForFolder "Titulo da janela")
o shell tem muitas coisas legais!! experimente alterar os paramâtros que estão nesta linha: (vlax-invoke shell "BrowseForFolder" 0 text 1), altere o 0 e o 1 para outros números... veja mais sobre o método neste link

LinkWithin

Related Posts Plugin for WordPress, Blogger...